<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::WarnAbout Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1WarnAbout.html">WarnAbout</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="structCatch_1_1WarnAbout-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::WarnAbout Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ae3dde70ef78d700ea896eb29314e0fa3"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3">What</a> { <br />
&#160;&#160;<a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3a19bca4df5e1b0f209a3292f3aa44b81e">Nothing</a> = 0x00, 
<a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3a04bcb5104bbb5aeb7f74ee59868289da">NoAssertions</a> = 0x01, 
<a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3acca5dc9e6d4240d98a441b8177d3ab97">NoTests</a> = 0x02, 
<a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3a19bca4df5e1b0f209a3292f3aa44b81e">Nothing</a> = 0x00, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3a04bcb5104bbb5aeb7f74ee59868289da">NoAssertions</a> = 0x01, 
<a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3acca5dc9e6d4240d98a441b8177d3ab97">NoTests</a> = 0x02
<br />
 }</td></tr>
<tr class="separator:ae3dde70ef78d700ea896eb29314e0fa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3dde70ef78d700ea896eb29314e0fa3"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3">What</a> { <br />
&#160;&#160;<a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3a19bca4df5e1b0f209a3292f3aa44b81e">Nothing</a> = 0x00, 
<a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3a04bcb5104bbb5aeb7f74ee59868289da">NoAssertions</a> = 0x01, 
<a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3acca5dc9e6d4240d98a441b8177d3ab97">NoTests</a> = 0x02, 
<a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3a19bca4df5e1b0f209a3292f3aa44b81e">Nothing</a> = 0x00, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3a04bcb5104bbb5aeb7f74ee59868289da">NoAssertions</a> = 0x01, 
<a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3acca5dc9e6d4240d98a441b8177d3ab97">NoTests</a> = 0x02
<br />
 }</td></tr>
<tr class="separator:ae3dde70ef78d700ea896eb29314e0fa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="ae3dde70ef78d700ea896eb29314e0fa3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3dde70ef78d700ea896eb29314e0fa3">&#9670;&nbsp;</a></span>What <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3">Catch::WarnAbout::What</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ae3dde70ef78d700ea896eb29314e0fa3a19bca4df5e1b0f209a3292f3aa44b81e"></a>Nothing&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae3dde70ef78d700ea896eb29314e0fa3a04bcb5104bbb5aeb7f74ee59868289da"></a>NoAssertions&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae3dde70ef78d700ea896eb29314e0fa3acca5dc9e6d4240d98a441b8177d3ab97"></a>NoTests&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae3dde70ef78d700ea896eb29314e0fa3a19bca4df5e1b0f209a3292f3aa44b81e"></a>Nothing&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae3dde70ef78d700ea896eb29314e0fa3a04bcb5104bbb5aeb7f74ee59868289da"></a>NoAssertions&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae3dde70ef78d700ea896eb29314e0fa3acca5dc9e6d4240d98a441b8177d3ab97"></a>NoTests&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<a id="ae3dde70ef78d700ea896eb29314e0fa3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3dde70ef78d700ea896eb29314e0fa3">&#9670;&nbsp;</a></span>What <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3">Catch::WarnAbout::What</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ae3dde70ef78d700ea896eb29314e0fa3a19bca4df5e1b0f209a3292f3aa44b81e"></a>Nothing&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae3dde70ef78d700ea896eb29314e0fa3a04bcb5104bbb5aeb7f74ee59868289da"></a>NoAssertions&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae3dde70ef78d700ea896eb29314e0fa3acca5dc9e6d4240d98a441b8177d3ab97"></a>NoTests&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae3dde70ef78d700ea896eb29314e0fa3a19bca4df5e1b0f209a3292f3aa44b81e"></a>Nothing&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae3dde70ef78d700ea896eb29314e0fa3a04bcb5104bbb5aeb7f74ee59868289da"></a>NoAssertions&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae3dde70ef78d700ea896eb29314e0fa3acca5dc9e6d4240d98a441b8177d3ab97"></a>NoTests&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
